#include <StdAfx.h>
#include "sphere_of_doom.h"
#include <trng_core.h>
#include "utility.h"
#include "Class/TRClass.h"

extern TYPE_phd_PushMatrix phd_PushMatrix;
extern TYPE_phd_TranslateAbs phd_TranslateAbs;
extern TYPE_phd_RotY phd_RotY;
extern TYPE2_S_GetObjectBounds S_GetObjectBounds_2;
extern TYPE_phd_PutPolygons phd_PutPolygons;
extern TYPE_CalculateObjectLighting CalculateObjectLighting;
extern TYPE_phd_sqrt phd_sqrt;
extern TYPE_KillItem KillItem;
extern TYPE_AddActiveItem AddActiveItem;
extern TYPE_GetFrames GetFrames;

#define SPHERE_RADIUS (STEP_L*5/2)

void PlaySphereOfDoomSound(ITEM_INFO* item)
{

}

void DrawSphereOfDoom(ITEM_INFO* item)
{

}

void CtrlTR2_SphereOfDoom(short ItemIndex)
{

}

void InitialiseTR2_SphereOfDoom1()
{

}

void InitialiseTR2_SphereOfDoom2()
{

}

void InitialiseTR2_SphereOfDoom3()
{

}